package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Bite;
import org.project.item.weapons.Weapon;

public class Vampire extends Enemy{

    private static int maxHP = 95;
    private int hp = maxHP;

    public Vampire(){
        Weapon VampireWeapon = new Bite();
        super(maxHP, VampireWeapon);
    }

    @Override
    public void specialAbility(Entity target) {
        System.out.printf("\t%s used life steal ability! \uD83E\uDDEB\n", getName());
        target.takeDamage((int)((0.8)*(weapon.getDamage())));
        hp += (int)((0.2)*(weapon.getDamage()));
    }

    public int getMaxHP() {
        return maxHP;
    }

    @Override
    public String getName(){
        return " \uD83E\uDDDB Vampire";
    }

}